/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#include "Assets/InworldTextEmbeddingsFactory.h"

#include "Primitives/TextEmbedder/InworldTextEmbedding.h"

UInworldTextEmbeddingsFactory::UInworldTextEmbeddingsFactory()
{
	SupportedClass = UInworldTextEmbeddingAsset::StaticClass();
	bCreateNew = true;
	bEditAfterNew = true;
}

UObject* UInworldTextEmbeddingsFactory::FactoryCreateNew(
	UClass* Class, UObject* InParent, FName Name, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn)
{
	return NewObject<UInworldTextEmbeddingAsset>(InParent, Class, Name, Flags);
}
